USLEEP(3)

NAME
usleep - suspend thread execution for an interval measured in microseconds

LIBRARY
libc

SYNOPSIS
#include <unistd.h>
int
usleep(useconds_t useconds);

DESCRIPTION
The usleep() function suspends execution of the calling thread until either useconds microseconds have elapsed or a signal is delivered to the thread whose action is to invoke a signal-catching function or to terminate the thread or process. The actual time slept may be longer, due to system latencies and possible limitations in the timer resolution of the hardware.

This function is implemented, using nanosleep(2), by pausing for useconds microseconds or until a signal occurs. Consequently, in this implementation, sleeping has no effect on the state of process timers and there is no special handling for SIGALRM.

RETURN VALUES

ERRORS
The usleep() function will fail if:

[EINTR]
    A signal was delivered to the process and its action was to invoke a signal-catching function.

SEE ALSO
nanosleep(2), sleep(3)

HISTORY
The usleep() function appeared in 4.3BSD.